Convert-ly en 2.13.35

Bonjour,

Je n'ai plus utilisé convert-ly depuis un petit temps; je viens de relancer
cette commande dans la version 2.13.35 pour mac et en voici le résultat :

Could not find platform independent libraries <prefix>
Could not find platform dependent libraries <exec_prefix>
Consider setting $PYTHONHOME to <prefix>[:<exec_prefix>]
'import site' failed; use -v for traceback
Traceback (most recent call last):
  File "/Applications/LilyPond.app/Contents/Resources/bin/convert-ly", line
24, in <module>
    import os
ImportError: No module named os

J'obtiens des messages similaires pour les midi2ly, musicxml2ly etc.

Avez-vous des messages similaires, que ce soir sur mac ou d'autres
plateformes ?

···

--
View this message in context: http://lilypond-french-users.1298960.n2.nabble.com/Convert-ly-en-2-13-35-tp5619890p5619890.html
Sent from the LilyPond French Users mailing list archive at Nabble.com.

Il serait effectivement intéressant de le vérifier, ce serait un bug sérieux.

Dans l'immédiat il est possible de remédier au problème en installant
python manuellement : http://www.python.org/download/mac/

Cordialement,
Valentin

···

2010/10/10 flup <****@****>:

J'obtiens des messages similaires pour les midi2ly, musicxml2ly etc.

Avez-vous des messages similaires, que ce soir sur mac ou d'autres
plateformes ?

Rien de mieux après l'installation de Python 3.1.2 et l'ajout de la nouvelle version au PATH (grâce au script fourni) :frowning:

Affaire à suivre, donc.

Philippe

···

Le 10 oct. 2010 à 14:09, Valentin Villenave a écrit :

2010/10/10 flup <****@****>:

J'obtiens des messages similaires pour les midi2ly, musicxml2ly etc.

Avez-vous des messages similaires, que ce soir sur mac ou d'autres
plateformes ?

Il serait effectivement intéressant de le vérifier, ce serait un bug sérieux.

Dans l'immédiat il est possible de remédier au problème en installant
python manuellement : http://www.python.org/download/mac/

Cordialement,
Valentin

Python 3 ? Faut aimer vivre dangereusement :slight_smile:

Bon, je transfère ça sur la liste bug-lilypond. On verra là-bas.

Cordialement,
Valentin

···

2010/10/10 Philippe Massart <****@****>:

Rien de mieux après l'installation de Python 3.1.2 et l'ajout de la nouvelle version au PATH (grâce au script fourni) :frowning:

Affaire à suivre, donc.

Update :

J'ai installé Python 2.7 pour mac. Plus de souci avec convert-ly ni
musicxml2ly. Par contre, midi2ly donne ceci :

Traceback (most recent call last):
  File "/Applications/LilyPond.app/Contents/Resources/bin/midi2ly", line 63,
in <module>
    import midi
ImportError:
dlopen(/Applications/LilyPond.app/Contents/Resources/lib/lilypond/current/python/midi.so,
2): no suitable image found. Did find:

/Applications/LilyPond.app/Contents/Resources/lib/lilypond/current/python/midi.so:
mach-o, but wrong architecture

···

--
View this message in context: http://lilypond-french-users.1298960.n2.nabble.com/Convert-ly-en-2-13-35-tp5619890p5620958.html
Sent from the LilyPond French Users mailing list archive at Nabble.com.

Oui, ça c'est le bug 1318 qu'on a découvert tout à l'heure. Pour le
reste, il semble que ça ne vienne pas de LilyPond :wink:

Cordialement,
Valentin

···

On Sun, Oct 10, 2010 at 8:24 PM, flup <****@****> wrote:

/Applications/LilyPond.app/Contents/Resources/lib/lilypond/current/python/midi.so:
mach-o, but wrong architecture